For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
      • POSTGet an activity report
      • GETList the predefined metrics used in activity reports
      • GETGet custom report (Explorer)
      • POSTGet a funnel report (stages)
      • POSTGet a funnel report (totals)
      • GETGet sent emails report
      • GETGet lead status change report
      • GETGet opportunity status change report
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Search & ReportingReporting

Get a funnel report (totals)

||View as Markdown|
POST
https://api.close.com/api/v1/report/funnel/opportunity/totals/
POST
/api/v1/report/funnel/opportunity/totals/
$curl -X POST https://api.close.com/api/v1/report/funnel/opportunity/totals/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "pipeline": "pipe_4vukv2FUlFh9FDiVYAop1U",
> "query": {
> "saved_search_id": "save_ZVc26G33JTNiDNEFdZhBQAONg9cJHleAAHqBJakf239",
> "type": "saved_search"
> },
> "report_datetime_range": {
> "end": "2019-01-08T00:00:00Z",
> "start": "2019-01-01T00:00:00Z"
> },
> "type": "active-stage-cohort",
> "users": [
> "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
> "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
> ]
>}'
1{
2 "aggregations": {
3 "average_time_to_win": 3600,
4 "average_value_annualized_per_won_opportunity": 1000000,
5 "count": 2,
6 "count_total_complete": 2,
7 "count_total_won": 1,
8 "count_win_rate": 0.5,
9 "sales_velocity": 1000000,
10 "value_total_complete": 2000000,
11 "value_total_won": 1000000,
12 "value_win_rate": 0.5
13 },
14 "data": [
15 {
16 "average_time_to_win": 3600,
17 "average_value_annualized_per_won_opportunity": 1000000,
18 "count": 1,
19 "count_total_complete": 1,
20 "count_total_won": 1,
21 "count_win_rate": 1,
22 "sales_velocity": 1000000,
23 "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
24 "value_total_complete": 1000000,
25 "value_total_won": 1000000,
26 "value_win_rate": 1
27 },
28 {
29 "average_time_to_win": null,
30 "average_value_annualized_per_won_opportunity": 0,
31 "count": 1,
32 "count_total_complete": 1,
33 "count_total_won": 0,
34 "count_win_rate": 0,
35 "sales_velocity": 0,
36 "user_id": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
37 "value_total_complete": 1000000,
38 "value_total_won": 0,
39 "value_win_rate": 0
40 }
41 ]
42}
The opportunity funnel "totals" report returns the pipeline funnel's metrics for the selected opportunities, aggregated (JSON format only) and per-user (JSON and CSV formats). Every report accepts the following parameters: * `pipeline`: ID of the pipeline defining the funnel statuses. * `type`: the type of the report. The available values are `created-cohort` and `active-stage-cohort`. * `report_relative_range`: a relative time range to fetch data for. The allowed values are: `today`, `this-week`, `this-month`, `this-quarter`, `this-year`, `yesterday`, `last-week`, `last-month`, `last-quarter`, `last-year`, and `all-time`. * `report_datetime_range`: a time range to fetch data for. * `cohort_relative_range`: a relative time range defining the cohort of created opportunities to fetch data for, by date of creation of those opportunities. The allowed values are: `today`, `this-week`, `this-month`, `this-quarter`, `this-year`, `yesterday`, `last-week`, `last-month`, `last-quarter`, `last-year`, and `all-time`. Either this field or `cohort_datetime_range` needs to be specified for `created-cohort` reports. Its value will be ignored for `active-stage-cohort` reports. * `cohort_datetime_range`: a time range defining the cohort of created opportunities to fetch data for, by date of creation of those opportunities. Either this field or `cohort_relative_range` needs to be specified for `created-cohort` reports. Its value will be ignored for `active-stage-cohort` reports. * `compared_relative_range`: a relative time range to fetch comparison data for. Only allowed in combination with `report_relative_range` (for `active-stage-cohort` reports) or `cohort_relative_range` (for `created-cohort` reports). The allowed values are: `today`, `this-week`, `this-month`, `this-quarter`, `this-year`, `yesterday`, `last-week`, `last-month`, `last-quarter`, `last-year`, and `all-time`. * `compared_datetime_range`: a relative time range to fetch comparison data for. Only allowed in combination with `report_datetime_range` (for `active-stage-cohort` reports) or `cohort_datetime_range` (for `created-cohort` reports). The allowed values are: `same-days-last-week`, `same-days-last-month`, `same-days-last-quarter`, `same-days-last-year`. * `compared_custom_range`: a time range to fetch comparison data for. * `query`: a query to apply to the report to filter out data. The value of the field is a dictionary with the key `type` and any type-specific keys. For now only the type `saved_search` is allowed which takes the extra key `saved_search_id` to specify the ID of a saved search. This parameter is *optional*. * `users`: a list of user IDs or group IDs to limit the report results to. When it's empty, the report will include all the available users. This parameter is *optional*. The report can be requested either in JSON format or in CSV format. The format can be specified with the `accept` header. In JSON format, it includes aggregated and per-user data. When requested in CSV format, it includes only per-user data. When `compared_datetime_range`, `compared_relative_range`, or `compared_custom_range` are used, the report returned is the compared one, not the base one.
Was this page helpful?
Previous

Get a funnel report (stages)

Next

Get sent emails report

Built with

The opportunity funnel “totals” report returns the pipeline funnel’s metrics for the selected opportunities, aggregated (JSON format only) and per-user (JSON and CSV formats).

Every report accepts the following parameters:

  • pipeline: ID of the pipeline defining the funnel statuses.
  • type: the type of the report. The available values are created-cohort and active-stage-cohort.
  • report_relative_range: a relative time range to fetch data for. The allowed values are: today, this-week, this-month, this-quarter, this-year, yesterday, last-week, last-month, last-quarter, last-year, and all-time.
  • report_datetime_range: a time range to fetch data for.
  • cohort_relative_range: a relative time range defining the cohort of created opportunities to fetch data for, by date of creation of those opportunities. The allowed values are: today, this-week, this-month, this-quarter, this-year, yesterday, last-week, last-month, last-quarter, last-year, and all-time. Either this field or cohort_datetime_range needs to be specified for created-cohort reports. Its value will be ignored for active-stage-cohort reports.
  • cohort_datetime_range: a time range defining the cohort of created opportunities to fetch data for, by date of creation of those opportunities. Either this field or cohort_relative_range needs to be specified for created-cohort reports. Its value will be ignored for active-stage-cohort reports.
  • compared_relative_range: a relative time range to fetch comparison data for. Only allowed in combination with report_relative_range (for active-stage-cohort reports) or cohort_relative_range (for created-cohort reports). The allowed values are: today, this-week, this-month, this-quarter, this-year, yesterday, last-week, last-month, last-quarter, last-year, and all-time.
  • compared_datetime_range: a relative time range to fetch comparison data for. Only allowed in combination with report_datetime_range (for active-stage-cohort reports) or cohort_datetime_range (for created-cohort reports). The allowed values are: same-days-last-week, same-days-last-month, same-days-last-quarter, same-days-last-year.
  • compared_custom_range: a time range to fetch comparison data for.
  • query: a query to apply to the report to filter out data. The value of the field is a dictionary with the key type and any type-specific keys. For now only the type saved_search is allowed which takes the extra key saved_search_id to specify the ID of a saved search. This parameter is optional.
  • users: a list of user IDs or group IDs to limit the report results to. When it’s empty, the report will include all the available users. This parameter is optional.

The report can be requested either in JSON format or in CSV format. The format can be specified with the accept header.

In JSON format, it includes aggregated and per-user data. When requested in CSV format, it includes only per-user data.

When compared_datetime_range, compared_relative_range, or compared_custom_range are used, the report returned is the compared one, not the base one.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects any.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error